import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeBotCommandInput } from "../commands/DescribeBotCommand";
import { LexModelsV2Client } from "../LexModelsV2Client";
/**
 * Wait until a bot is available
 *  @deprecated Use waitUntilBotAvailable instead. waitForBotAvailable does not throw error in non-success cases.
 */
export declare const waitForBotAvailable: (params: WaiterConfiguration<LexModelsV2Client>, input: DescribeBotCommandInput) => Promise<WaiterResult>;
/**
 * Wait until a bot is available
 *  @param params - Waiter configuration options.
 *  @param input - The input to DescribeBotCommand for polling.
 */
export declare const waitUntilBotAvailable: (params: WaiterConfiguration<LexModelsV2Client>, input: DescribeBotCommandInput) => Promise<WaiterResult>;
